#!/usr/bin/env python
#
# This program go through the list a captures double entries 
# and ordering problems
#
# $Id: Nielsen2011New_check.py,v 1.4 2011/03/16 11:34:24 fn Exp $


filebase = '/home/fnielsen/'
filename_afinn = filebase + 'fnielsen/data/Nielsen2009Responsible_emotion.csv'

lines = [ line.split('\t') for line in open(filename_afinn) ]
for line in lines:
    if len(line) != 2:
        print(line)

afinn = map(lambda (k,v): (k,int(v)), 
                [ line.split('\t') for line in open(filename_afinn) ])
words = [ word for word, valence in afinn ]


swords = sorted(list(set(words)))

for n in range(len(words)):
    if words[n] != swords[n]:
        print(words[n] + " " + swords[n])
        break

