#!/usr/bin/env python
#
# $Id: Nielsen2011New_download.py,v 1.2 2011/03/04 21:12:29 fn Exp $

from urllib           import FancyURLopener, urlencode, urlretrieve
import csv
import simplejson
import sys
reload(sys)
sys.setdefaultencoding('utf-8')


filename_mislove2 = 'turk-results.txt'

class MyOpener(FancyURLopener):
    version = 'RBBBot, Finn Aarup Nielsen (http://www.imm.dtu.dk/~fn/, fn@imm.dtu.dk)'

myopener = MyOpener()


csv_reader = csv.reader(open(filename_mislove2), delimiter='\t')
header = []
tweets = []
for row in csv_reader:
    if not header:
        header = row
    else:
        tweets.append({'id': row[0], 
                       'score_our': float(row[1]),
                       'score_mean': float(row[2]),
                       'scores': row[4:]})


tweets_downloaded = simplejson.load(open('tweets_downloaded.json'))

# http://api.twitter.com/1/account/rate_limit_status.xml
for n in range(586):
    if n >= len(tweets_downloaded) or (not tweets_downloaded[n].has_key('error') and 
                                    not tweets_downloaded[n].has_key('id_str')):
        url = 'http://twitter.com/statuses/show/' + tweets[n]['id'] + '.json'
        try:
            print n, url
            obj = simplejson.loads(myopener.open(url).read())
            tweets_downloaded.append(obj)
        except:
            print(n)
            break
    else:
        print " skipping " + str(n)

# backup = tweets_downloaded

simplejson.dump(tweets_downloaded, open('tweets_downloaded.json', 'w'))
