#!/usr/bin/env python
#
#    Construct histogram of AFINN valences.
#
# $Id: Nielsen2011New_hist.py,v 1.2 2011/03/14 20:53:17 fn Exp $

import numpy as np
import pylab
import sys
reload(sys)
sys.setdefaultencoding('utf-8')

filebase = '/home/fnielsen/'
filename = filebase + 'fnielsen/data/Nielsen2009Responsible_emotion.csv'
afinn = dict(map(lambda (k,v): (k,int(v)), 
                  [ line.split('\t') for line in open(filename) ]))

pylab.hist(afinn.values(), bins=11, range=(-5.5, 5.5), facecolor=(0,1,0))
pylab.xlabel('My valences')
pylab.ylabel('Absolute frequency')
pylab.title('Histogram of valences for my word list')

pylab.show()

# pylab.savefig(filebase + 'fnielsen/eps/' + 'Nielsen2011New_hist.eps')



